Attribute VB_Name = "Module1"
Option Explicit

Private Declare Function SendMessageByVal Lib "user32" Alias "SendMessageA" (ByVal hWnd As Long, ByVal wMsg As Long, ByVal wParam As Long, ByVal lParam As Long) As Long
Private Declare Sub CopyMemory Lib "kernel32" Alias "RtlMoveMemory" (dest As Any, dest As Any, ByVal numBytes As Long)
Const LB_ITEMFROMPOINT = &H1A9

'Return the index of the item at given coordinates
Function ItemFromPoint(lb As Object, ByVal X As Long, ByVal Y As Long) As Long
    Dim lParam As Long
    ' lParam must contain X in its low-order word
    ' and Y in its high-order word.
    ' We need this method to avoid overflow.
    CopyMemory lParam, X, 2
    CopyMemory ByVal VarPtr(lParam) + 2, Y, 2
    ItemFromPoint = SendMessageByVal(lb.hWnd, LB_ITEMFROMPOINT, 0, lParam)
End Function
